Avro C#

Public Member Functions | Properties | List of all members
Avro.Reflect.ReflectWriter< T > Class Template Reference

Generic wrapper class for writing data from specific objects More...

Inheritance diagram for Avro.Reflect.ReflectWriter< T >:

## Public Member Functions
| ReflectWriter (Schema schema, ClassCache cache=null)
| Constructor More...
| ReflectWriter (ReflectDefaultWriter writer)
| Constructor with already created default writer. More...
void | Write (T value, Encoder encoder)
| Serializes the given object using this writer's schema. More...

## Properties
ReflectDefaultWriter | Writer`[get]`
| Default writer More...
Schema | Schema`[get]`
| The schema More...
Properties inherited from Avro.Generic.DatumWriter< T >
Schema | Schema`[get]`
| Schema used to write the data. More...

## Detailed Description

Generic wrapper class for writing data from specific objects

Template Parameters

  T | type name of specific object

## Constructor & Destructor Documentation

## ◆ ReflectWriter() [1/2]

Avro.Reflect.ReflectWriter< T >.ReflectWriter | ( | Schema | schema,
|  | ClassCache | cache = `null`
| ) |  |
| inline

Constructor

Parameters

  schema |
  cache |

## ◆ ReflectWriter() [2/2]

Avro.Reflect.ReflectWriter< T >.ReflectWriter | ( | ReflectDefaultWriter | writer | ) |
| inline

Constructor with already created default writer.

Parameters

  writer |

## Member Function Documentation

## ◆ Write()

void Avro.Reflect.ReflectWriter< T >.Write | ( | T | value,
|  | Encoder | encoder
| ) |  |
| inline

Serializes the given object using this writer's schema.

Parameters

  value | The value to be serialized
  encoder | The encoder to use for serializing

Implements Avro.Generic.DatumWriter< T >.

## Property Documentation

## ◆ Schema

Schema Avro.Reflect.ReflectWriter< T >.Schema
| get

The schema

## ◆ Writer

ReflectDefaultWriter Avro.Reflect.ReflectWriter< T >.Writer
| get

Default writer

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/ReflectWriter.cs